export declare class MessageHeaderNativeBinding {
  get messageID(): string;
  set messageID(msgId: string);
  get inReplyTo(): string[];
  set inReplyTo(val: string[]);
  get references(): string[];
  set references(val: string[]);
  get date(): Date;
  set date(dateVal: Date);
  get receivedDate(): Date;
  set receivedDate(dateVal: Date);
  get sender(): string;
  set sender(val: string);
  get from(): string;
  set from(val: string);
  get to(): string[];
  set to(val: string[]);
  get cc(): string[];
  set cc(val: string[]);
  get bcc(): string[];
  set bcc(val: string[]);
  get replyTo(): string[];
  set replyTo(val: string[]);
  get subject(): string;
  set subject(val: string);
  get userAgent(): string;
  set userAgent(val: string);
  extraHeaders(): { [key: string]: string; };
  extraHeaderValueForName(name: string): string;
  removeExtraHeader(name: string): void;
  setExtraHeader(name: string, value: string): void;
}

export declare interface MessageHeaderNativeBindingObject {
  new(): MessageHeaderNativeBinding
  strError(errorCode: number): string
}
